commit 3222a3e9a9462cdca27020795071677f335be73a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Sep 10 00:17:01 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index f426e5d24d7..a29b7c4bec4 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2020-09-09  Przemyslaw Wirkus  <przemyslaw.wirkus@arm.com>
+
+	PR target/96357
+	* config/aarch64/aarch64-sve.md
+	(cond_sub<mode>_relaxed_const): Updated and renamed from
+	cond_sub<mode>_any_const pattern.
+	(cond_sub<mode>_strict_const): New pattern.
+
 2020-09-04  Carl Love  <cel@us.ibm.com>
 
 	PR target/85830
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 31cfea49579..18b8812ec43 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200909
+20200910
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index a0eb4a4c123..cfab5e4adc5 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2020-09-09  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2020-09-09  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/95164
+	* decl.c (reshape_init_r): When initializing an aggregate member
+	with an initializer from an initializer-list, also consider
+	COMPOUND_LITERAL_P.
+
 2020-08-25  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 80ae9e33782..297cde50853 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,16 @@
+2020-09-09  Tobias Burnus  <tobias@codesourcery.com>
+
+	Backported from master:
+	2020-09-09  Tobias Burnus  <tobias@codesourcery.com>
+
+	PR fortran/95109
+	PR fortran/94690
+	* resolve.c (gfc_resolve_code): Also call
+	gfc_resolve_omp_parallel_blocks for 'distribute parallel do (simd)'.
+	* openmp.c (gfc_resolve_omp_parallel_blocks): Handle it.
+	* trans-openmp.c (gfc_trans_omp_target): For TARGET_PARALLEL_DO_SIMD,
+	call simd not do processing function.
+
 2020-09-08  Thomas Koenig  <tkoenig@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 735c7aea1d4..1f1025326e0 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,25 @@
+2020-09-09  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2020-09-09  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/95164
+	* g++.dg/cpp0x/initlist123.C: New test.
+
+2020-09-09  Tobias Burnus  <tobias@codesourcery.com>
+
+	Backported from master:
+	2020-09-09  Tobias Burnus  <tobias@codesourcery.com>
+
+	PR fortran/95109
+	PR fortran/94690
+	* gfortran.dg/gomp/openmp-simd-5.f90: New test.
+
+2020-09-09  Przemyslaw Wirkus  <przemyslaw.wirkus@arm.com>
+
+	PR target/96357
+	* gcc.target/aarch64/sve/pr96357.c: New test.
+
 2020-09-08  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/lto-plugin/ChangeLog b/lto-plugin/ChangeLog
index 39ff7b9e785..223f235186f 100644
--- a/lto-plugin/ChangeLog
+++ b/lto-plugin/ChangeLog
@@ -1,3 +1,10 @@
+2020-09-09  Nick Clifton  <nickc@redhat.com>
+
+	* lto-plugin.c (struct plugin_symtab): Add last_sym field.
+	(parse_symtab_extension): Only read as many entries as are
+	available in the buffer.  Store the data read into the symbol
+	table indexed from last_sym.  Increment last_sym.
+
 2020-07-23  Release Manager
 
 	* GCC 10.2.0 released.

